Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.event.authentication
Class AbstractAuthenticationEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.acegisecurity.event.authentication.AbstractAuthenticationEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractAuthenticationFailureEvent, AuthenticationSuccessEvent, AuthenticationSwitchUserEvent, InteractiveAuthenticationSuccessEvent

    public abstract class AbstractAuthenticationEvent

extends ApplicationEvent

Represents an application authentication event.

The `ApplicationEvent`'s `source` will be the `Authentication` object.

Version:
  $Id: AbstractAuthenticationEvent.java,v 1.2 2005/11/17 00:55:48 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AbstractAuthenticationEvent(Authentication authentication)`

Method Summary
`Authentication` | `getAuthentication()` Getters for the `Authentication` request that caused the event.

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractAuthenticationEvent

    public AbstractAuthenticationEvent(Authentication authentication)

Method Detail

### getAuthentication

    public Authentication getAuthentication()

  Getters for the `Authentication` request that caused the event. Also available from `super.getSource()`.

  Returns:
    the authentication request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.